package com.chenyang.nse.bussiness.engine.infa.basic.wsclient;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(
   name = "LinkDetails",
   propOrder = {"folderName", "workflowName", "workletInstanceName", "fromTaskInstanceDetails", "toTaskInstanceDetails", "workflowRunId", "workletRunId"}
)
public class LinkDetails {
   @XmlElement(
      name = "FolderName",
      required = true,
      nillable = true
   )
   protected String folderName;
   @XmlElement(
      name = "WorkflowName",
      required = true,
      nillable = true
   )
   protected String workflowName;
   @XmlElement(
      name = "WorkletInstanceName",
      required = true,
      nillable = true
   )
   protected String workletInstanceName;
   @XmlElement(
      name = "FromTaskInstanceDetails",
      required = true,
      nillable = true
   )
   protected TaskDetails fromTaskInstanceDetails;
   @XmlElement(
      name = "ToTaskInstanceDetails",
      required = true,
      nillable = true
   )
   protected TaskDetails toTaskInstanceDetails;
   @XmlElement(
      name = "WorkflowRunId"
   )
   protected int workflowRunId;
   @XmlElement(
      name = "WorkletRunId"
   )
   protected int workletRunId;

   public String getFolderName() {
      return this.folderName;
   }

   public void setFolderName(String value) {
      this.folderName = value;
   }

   public String getWorkflowName() {
      return this.workflowName;
   }

   public void setWorkflowName(String value) {
      this.workflowName = value;
   }

   public String getWorkletInstanceName() {
      return this.workletInstanceName;
   }

   public void setWorkletInstanceName(String value) {
      this.workletInstanceName = value;
   }

   public TaskDetails getFromTaskInstanceDetails() {
      return this.fromTaskInstanceDetails;
   }

   public void setFromTaskInstanceDetails(TaskDetails value) {
      this.fromTaskInstanceDetails = value;
   }

   public TaskDetails getToTaskInstanceDetails() {
      return this.toTaskInstanceDetails;
   }

   public void setToTaskInstanceDetails(TaskDetails value) {
      this.toTaskInstanceDetails = value;
   }

   public int getWorkflowRunId() {
      return this.workflowRunId;
   }

   public void setWorkflowRunId(int value) {
      this.workflowRunId = value;
   }

   public int getWorkletRunId() {
      return this.workletRunId;
   }

   public void setWorkletRunId(int value) {
      this.workletRunId = value;
   }
}
